<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Absences_V2 StructType
 * @subpackage Structs
 */
class Get_Absences_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AbsenceSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AbsenceSelection_V2
     */
    public $AbsenceSelection;
    /**
     * Constructor method for Get_Absences_V2
     * @uses Get_Absences_V2::setLogin()
     * @uses Get_Absences_V2::setAbsenceSelection()
     * @param \StructType\Login $login
     * @param \StructType\AbsenceSelection_V2 $absenceSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\AbsenceSelection_V2 $absenceSelection = null)
    {
        $this
            ->setLogin($login)
            ->setAbsenceSelection($absenceSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Absences_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AbsenceSelection value
     * @return \StructType\AbsenceSelection_V2|null
     */
    public function getAbsenceSelection()
    {
        return $this->AbsenceSelection;
    }
    /**
     * Set AbsenceSelection value
     * @param \StructType\AbsenceSelection_V2 $absenceSelection
     * @return \StructType\Get_Absences_V2
     */
    public function setAbsenceSelection(\StructType\AbsenceSelection_V2 $absenceSelection = null)
    {
        $this->AbsenceSelection = $absenceSelection;
        return $this;
    }
}
